
From: Christoph Hellwig <hch@lst.de>



---

 25-akpm/drivers/serial/68360serial.c |    6 +-----
 1 files changed, 1 insertion(+), 5 deletions(-)

diff -puN drivers/serial/68360serial.c~fixup-68360-module-refcounting drivers/serial/68360serial.c
--- 25/drivers/serial/68360serial.c~fixup-68360-module-refcounting	Mon May  3 13:32:41 2004
+++ 25-akpm/drivers/serial/68360serial.c	Mon May  3 13:32:41 2004
@@ -1650,7 +1650,6 @@ static void rs_360_close(struct tty_stru
 	
 	if (tty_hung_up_p(filp)) {
 		DBG_CNT("before DEC-hung");
-		MOD_DEC_USE_COUNT;
 		local_irq_restore(flags);
 		return;
 	}
@@ -1677,7 +1676,6 @@ static void rs_360_close(struct tty_stru
 	}
 	if (state->count) {
 		DBG_CNT("before DEC-2");
-		MOD_DEC_USE_COUNT;
 		local_irq_restore(flags);
 		return;
 	}
@@ -1732,7 +1730,6 @@ static void rs_360_close(struct tty_stru
 	}
 	info->flags &= ~(ASYNC_NORMAL_ACTIVE|ASYNC_CLOSING);
 	wake_up_interruptible(&info->close_wait);
-	MOD_DEC_USE_COUNT;
 	local_irq_restore(flags);
 }
 
@@ -1993,14 +1990,12 @@ static int rs_360_open(struct tty_struct
 	if (retval)
 		return retval;
 
-	MOD_INC_USE_COUNT;
 	retval = block_til_ready(tty, filp, info);
 	if (retval) {
 #ifdef SERIAL_DEBUG_OPEN
 		printk("rs_open returning after block_til_ready with %d\n",
 		       retval);
 #endif
-		MOD_DEC_USE_COUNT;
 		return retval;
 	}
 
@@ -2476,6 +2471,7 @@ long console_360_init(long kmem_start, l
 static	int	baud_idx;
 
 static struct tty_operations rs_360_ops = {
+	.owner = THIS_MODULE,
 	.open = rs_360_open,
 	.close = rs_360_close,
 	.write = rs_360_write,

_
